List all Invoices
curl --request GET \
--url https://api.nocotax.app/invoices \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.nocotax.app/invoices"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.nocotax.app/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/invoices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nocotax.app/invoices")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"object": "list",
"has_more": false,
"has_before": false,
"data": [
{
"id": "inv_1792060751apuff21f6735",
"livemode": false,
"object": "invoice",
"amount_due": 2888,
"amount_overpaid": 0,
"amount_paid": 0,
"amount_remaining": 2888,
"automatic_tax_calculation": {
"enabled": false
},
"currency": "EUR",
"customer_data": {
"name": "Kunde-Raynor",
"billing_address": {
"city": "Hammesbury",
"line1": "15947 Ali Meadows",
"line2": "Apt. 946",
"country": "TF",
"postal_code": "93986-1849"
},
"tax_identification_number": "700188857",
"business_registration_number": "74868967600736"
},
"customer_id": "org_1792060751846212ad3766",
"customer_tax_registration_data": [],
"customer_tax_registration_ids": [],
"document_date": "2026-10-15",
"document_number": "INV00001",
"due_date": "2026-10-15",
"flow": "sales",
"issuer": null,
"legal_notices": null,
"locale": "en",
"memo": null,
"metadata": {},
"numbering_sequence_id": "ns_17920607517wzh5eb57e8a",
"order_reference": null,
"payment_status": "due",
"payment_terms": null,
"period": null,
"postpayment_credit_notes_amount": 0,
"prepayment_credit_notes_amount": 0,
"representations": {
"hosted_page_url": "https://repo.nocotax.test:3000/invoices/ezNjrFYsSy701lLxjJN17oNK2kJ5crBrCo-zKg6XHVA",
"pdf_file_url": "https://repo.nocotax.test:3000/invoices/ezNjrFYsSy701lLxjJN17oNK2kJ5crBrCo-zKg6XHVA/pdf"
},
"status": "finalized",
"status_transitions": {
"finalized_at": "2026-10-15T12:39:11.520+02:00"
},
"supplier_country": "UG",
"supplier_data": {
"name": "Blanda Inc",
"billing_address": {
"city": "South Devon",
"line1": "326 Hessel Lane",
"line2": "Apt. 336",
"country": "UG",
"postal_code": "03604"
},
"tax_identification_number": "018445536",
"business_registration_number": "21363164100684"
},
"supplier_id": "org_17920607517q829fbd03e4",
"supplier_tax_registration_data": [],
"supplier_tax_registration_ids": [],
"taxes": [],
"total_extratax_amount": 2888,
"total_tax_amount": 0,
"total_tax_included_amount": 2888,
"created_at": "2026-10-15T10:39:11.504Z",
"updated_at": "2026-10-15T10:39:11.525Z"
},
{
"id": "inv_1792060751aeqlb15c7c9b",
"livemode": false,
"object": "invoice",
"amount_due": null,
"amount_overpaid": null,
"amount_paid": null,
"amount_remaining": null,
"automatic_tax_calculation": {
"enabled": false
},
"currency": "EUR",
"customer_data": {
"name": "Kunde-Raynor",
"billing_address": {
"city": "Hammesbury",
"line1": "15947 Ali Meadows",
"line2": "Apt. 946",
"country": "TF",
"postal_code": "93986-1849"
},
"tax_identification_number": "700188857",
"business_registration_number": "74868967600736"
},
"customer_id": "org_1792060751846212ad3766",
"customer_tax_registration_data": [],
"customer_tax_registration_ids": [],
"document_date": null,
"document_number": null,
"due_date": null,
"flow": "sales",
"issuer": null,
"legal_notices": null,
"locale": "en",
"memo": null,
"metadata": {},
"numbering_sequence_id": "ns_17920607517wzh5eb57e8a",
"order_reference": null,
"payment_status": null,
"payment_terms": null,
"period": null,
"postpayment_credit_notes_amount": null,
"prepayment_credit_notes_amount": null,
"representations": {},
"status": "draft",
"status_transitions": {},
"supplier_country": "UG",
"supplier_data": {
"name": "Blanda Inc",
"billing_address": {
"city": "South Devon",
"line1": "326 Hessel Lane",
"line2": "Apt. 336",
"country": "UG",
"postal_code": "03604"
},
"tax_identification_number": "018445536",
"business_registration_number": "21363164100684"
},
"supplier_id": "org_17920607517q829fbd03e4",
"supplier_tax_registration_data": [],
"supplier_tax_registration_ids": [],
"taxes": [],
"total_extratax_amount": 2888,
"total_tax_amount": 0,
"total_tax_included_amount": 2888,
"created_at": "2026-10-15T10:39:11.492Z",
"updated_at": "2026-10-15T10:39:11.492Z"
}
]
}{
"message": "<string>",
"status": 123,
"type": "INVALID_REQUEST_ERROR",
"params": [
{
"field": "<string>",
"errors": [
"<string>"
]
}
]
}Invoices
List all Invoices
Returns a list of Invoices you’ve previously created. The Invoices are returned in sorted order, with the most recent appearing first.
GET
/
invoices
List all Invoices
curl --request GET \
--url https://api.nocotax.app/invoices \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.nocotax.app/invoices"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.nocotax.app/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/invoices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nocotax.app/invoices")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"object": "list",
"has_more": false,
"has_before": false,
"data": [
{
"id": "inv_1792060751apuff21f6735",
"livemode": false,
"object": "invoice",
"amount_due": 2888,
"amount_overpaid": 0,
"amount_paid": 0,
"amount_remaining": 2888,
"automatic_tax_calculation": {
"enabled": false
},
"currency": "EUR",
"customer_data": {
"name": "Kunde-Raynor",
"billing_address": {
"city": "Hammesbury",
"line1": "15947 Ali Meadows",
"line2": "Apt. 946",
"country": "TF",
"postal_code": "93986-1849"
},
"tax_identification_number": "700188857",
"business_registration_number": "74868967600736"
},
"customer_id": "org_1792060751846212ad3766",
"customer_tax_registration_data": [],
"customer_tax_registration_ids": [],
"document_date": "2026-10-15",
"document_number": "INV00001",
"due_date": "2026-10-15",
"flow": "sales",
"issuer": null,
"legal_notices": null,
"locale": "en",
"memo": null,
"metadata": {},
"numbering_sequence_id": "ns_17920607517wzh5eb57e8a",
"order_reference": null,
"payment_status": "due",
"payment_terms": null,
"period": null,
"postpayment_credit_notes_amount": 0,
"prepayment_credit_notes_amount": 0,
"representations": {
"hosted_page_url": "https://repo.nocotax.test:3000/invoices/ezNjrFYsSy701lLxjJN17oNK2kJ5crBrCo-zKg6XHVA",
"pdf_file_url": "https://repo.nocotax.test:3000/invoices/ezNjrFYsSy701lLxjJN17oNK2kJ5crBrCo-zKg6XHVA/pdf"
},
"status": "finalized",
"status_transitions": {
"finalized_at": "2026-10-15T12:39:11.520+02:00"
},
"supplier_country": "UG",
"supplier_data": {
"name": "Blanda Inc",
"billing_address": {
"city": "South Devon",
"line1": "326 Hessel Lane",
"line2": "Apt. 336",
"country": "UG",
"postal_code": "03604"
},
"tax_identification_number": "018445536",
"business_registration_number": "21363164100684"
},
"supplier_id": "org_17920607517q829fbd03e4",
"supplier_tax_registration_data": [],
"supplier_tax_registration_ids": [],
"taxes": [],
"total_extratax_amount": 2888,
"total_tax_amount": 0,
"total_tax_included_amount": 2888,
"created_at": "2026-10-15T10:39:11.504Z",
"updated_at": "2026-10-15T10:39:11.525Z"
},
{
"id": "inv_1792060751aeqlb15c7c9b",
"livemode": false,
"object": "invoice",
"amount_due": null,
"amount_overpaid": null,
"amount_paid": null,
"amount_remaining": null,
"automatic_tax_calculation": {
"enabled": false
},
"currency": "EUR",
"customer_data": {
"name": "Kunde-Raynor",
"billing_address": {
"city": "Hammesbury",
"line1": "15947 Ali Meadows",
"line2": "Apt. 946",
"country": "TF",
"postal_code": "93986-1849"
},
"tax_identification_number": "700188857",
"business_registration_number": "74868967600736"
},
"customer_id": "org_1792060751846212ad3766",
"customer_tax_registration_data": [],
"customer_tax_registration_ids": [],
"document_date": null,
"document_number": null,
"due_date": null,
"flow": "sales",
"issuer": null,
"legal_notices": null,
"locale": "en",
"memo": null,
"metadata": {},
"numbering_sequence_id": "ns_17920607517wzh5eb57e8a",
"order_reference": null,
"payment_status": null,
"payment_terms": null,
"period": null,
"postpayment_credit_notes_amount": null,
"prepayment_credit_notes_amount": null,
"representations": {},
"status": "draft",
"status_transitions": {},
"supplier_country": "UG",
"supplier_data": {
"name": "Blanda Inc",
"billing_address": {
"city": "South Devon",
"line1": "326 Hessel Lane",
"line2": "Apt. 336",
"country": "UG",
"postal_code": "03604"
},
"tax_identification_number": "018445536",
"business_registration_number": "21363164100684"
},
"supplier_id": "org_17920607517q829fbd03e4",
"supplier_tax_registration_data": [],
"supplier_tax_registration_ids": [],
"taxes": [],
"total_extratax_amount": 2888,
"total_tax_amount": 0,
"total_tax_included_amount": 2888,
"created_at": "2026-10-15T10:39:11.492Z",
"updated_at": "2026-10-15T10:39:11.492Z"
}
]
}{
"message": "<string>",
"status": 123,
"type": "INVALID_REQUEST_ERROR",
"params": [
{
"field": "<string>",
"errors": [
"<string>"
]
}
]
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Filter by supplier id
Filter by customer id
Filter by flow
Available options:
purchases, sales, commissions 